Update Blog Post
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/blog-posts/{blogPostId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 12,
"title": "zwszwtxpeqqikym",
"content": "lowyuffszfrcsnw",
"product_ids": [
12
],
"path": "8",
"summary": "wkiinfowtzmixko",
"image_id": null,
"meta_title": "wxvxezhebdrxkpi",
"meta_description": "ypmuihrdifekzag"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blog-posts/{blogPostId}"
payload = {
"id": 12,
"title": "zwszwtxpeqqikym",
"content": "lowyuffszfrcsnw",
"product_ids": [12],
"path": "8",
"summary": "wkiinfowtzmixko",
"image_id": None,
"meta_title": "wxvxezhebdrxkpi",
"meta_description": "ypmuihrdifekzag"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 12,
title: 'zwszwtxpeqqikym',
content: 'lowyuffszfrcsnw',
product_ids: [12],
path: '8',
summary: 'wkiinfowtzmixko',
image_id: null,
meta_title: 'wxvxezhebdrxkpi',
meta_description: 'ypmuihrdifekzag'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blog-posts/{blogPostId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Blog Posts
Update Blog Post
Updates a specific blog post.
PUT
/
v1
/
shops
/
{shopId}
/
blog-posts
/
{blogPostId}
Update Blog Post
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Example:
12
Must not be greater than 255 characters.
Example:
"zwszwtxpeqqikym"
Must not be greater than 100000 characters.
Example:
"lowyuffszfrcsnw"
Example:
[12]
Must match the regex /^[a-z0-9-]+$/.
Example:
"8"
Must not be greater than 2000 characters.
Example:
"wkiinfowtzmixko"
Example:
null
Must not be greater than 255 characters.
Example:
"wxvxezhebdrxkpi"
Must not be greater than 255 characters.
Example:
"ypmuihrdifekzag"
Response
200 - undefined